Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 582688

Summary: [TRACKER] Gcc-6.1.0 with use PIE and/or SSP enable
Product: Gentoo Linux Reporter: Magnus Granberg <zorry>
Component: HardenedAssignee: The Gentoo Linux Hardened Team <hardened>
Status: RESOLVED OBSOLETE    
Severity: normal CC: bertrand, devurandom, tdalman, tsmksubc
Priority: Normal Keywords: Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 582690, 583042, 584014, 593892, 618170, 618366    
Bug Blocks: 582084    

Description Magnus Granberg gentoo-dev 2016-05-10 21:37:17 UTC
Tracker for Packages that fail with pie or ssp enable in Gcc 6.1
The package should block this one and the Gcc 6 porting bug.



Reproducible: Always
Comment 1 Magnus Granberg gentoo-dev 2016-05-10 21:41:37 UTC
Packages that fail should be fixed upstream.
Gcc 6.1 is compile with --enable-default-pie and/or
--enable-default-ssp
Comment 2 Andreas K. Hüttel gentoo-dev 2017-09-26 17:15:48 UTC
I think we can close this separate tracker now. I'll copy the depends to the main gcc-6 tracker.